import { FaSearch } from "react-icons/fa";

import { CgClose } from "react-icons/cg";
import { useState, useEffect } from "react";

import router from "next/router";
import { destroyCookie, parseCookies } from "nookies";
import Signin from "./signin";
import Signup from "./signup";
function header({ modal, setModal, tab, setTab }: any) {
  const [isAuthenticated, setisAuthenticated] = useState(false);

  const [search, setSearch] = useState("");

  const getSigned = () => {
    setisAuthenticated(!!parseCookies().token);
  };
  useEffect(() => {
    getSigned();
  }, [isAuthenticated]);
  const [isMenuOpen, setIsMenuOpen] = useState(false);
  const handleSignOut = () => {
    destroyCookie(null, "token", { path: "/" });
    router.reload();
  };
  const handleSearch = async (e: React.FormEvent<EventTarget>) => {
    e.preventDefault();

    router.push(`/search/${search}`);
    setSearch("");
  };

  return (
    <header className="section-header">
      {modal && (
        <div
          style={{
            position: "fixed",
            width: "100vw",
            height: "100vh",
            zIndex: 1000,
            backgroundColor: "rgba(0,0,0,0.7)",
          }}
        >
          <div
            style={{
              position: "fixed",
              top: "50%",
              left: "50%",

              transform: "translate(-50%,-50%)",
            }}
            className="modal-open custom-mod"
          >
            <div className="modal-dialog">
              <div className="modal-content">
                <div style={{ border: "none" }} className="modal-header">
                  <ul className="nav nav-tabs">
                    <li onClick={() => setTab(1)} className="nav-item">
                      <p
                        style={{
                          cursor: "pointer",
                          color: `${tab === 1 ? "#3167eb" : ""}`,
                        }}
                        className={`nav-link ${tab === 1 ? "active" : ""}`}
                      >
                        Sign In
                      </p>
                    </li>
                    <li onClick={() => setTab(2)} className="nav-item">
                      <p
                        style={{
                          cursor: "pointer",
                          color: `${tab === 2 ? "#3167eb" : ""}`,
                        }}
                        className={`nav-link ${tab === 2 ? "active" : ""}`}
                      >
                        Signup
                      </p>
                    </li>
                  </ul>

                  <CgClose
                    style={{ fontSize: "20px", fontStyle: "bold" }}
                    onClick={() => setModal(false)}
                  />
                </div>
                <div className="modal-body">
                  {tab === 1 ? (
                    <Signin setModal={setModal} />
                  ) : (
                    <Signup setModal={setModal} />
                  )}
                </div>
              </div>
            </div>
          </div>
        </div>
      )}

      <section className="header-main border-bottom d-none d-sm-none d-md-block">
        <div className="container">
          <div className="row align-items-center">
            <div className="col-3">
              <a href="/">
                <svg
                  className="brand-wrap"
                  style={{ cursor: "pointer" }}
                  width="100%"
                  height="42"
                  viewBox="0 0 179 34"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <rect
                    style={{ fill: "var(--primary)" }}
                    x="0.5"
                    y="0.5"
                    width="91"
                    height="17"
                    fill="blue"
                  />
                  <path
                    d="M107.604 27.5467C107.421 27.7141 107.338 27.9561 107.379 28.1934L108.005 31.4734C108.057 31.7514 107.933 32.0327 107.688 32.1934C107.447 32.3601 107.127 32.3801 106.865 32.2467L103.75 30.7067C103.641 30.6521 103.521 30.6227 103.398 30.6194H103.207C103.141 30.6287 103.077 30.6487 103.018 30.6794L99.9015 32.2267C99.7475 32.3001 99.5731 32.3261 99.4021 32.3001C98.9857 32.2254 98.7079 31.8494 98.7761 31.4527L99.4021 28.1727C99.4436 27.9334 99.3599 27.6901 99.1778 27.5201L96.6379 25.1867C96.4254 24.9914 96.3516 24.6981 96.4486 24.4334C96.5429 24.1694 96.7835 23.9767 97.074 23.9334L100.57 23.4527C100.836 23.4267 101.069 23.2734 101.189 23.0467L102.729 20.0534C102.766 19.9867 102.813 19.9254 102.87 19.8734L102.933 19.8267C102.966 19.7921 103.004 19.7634 103.046 19.7401L103.123 19.7134L103.243 19.6667H103.539C103.803 19.6927 104.036 19.8427 104.158 20.0667L105.719 23.0467C105.831 23.2647 106.05 23.4161 106.302 23.4527L109.798 23.9334C110.094 23.9734 110.34 24.1667 110.438 24.4334C110.53 24.7007 110.451 24.9941 110.234 25.1867L107.604 27.5467Z"
                    fill="#F8E47C"
                    fillOpacity="0.86"
                  />
                  <path
                    d="M123.584 27.5467C123.415 27.7141 123.338 27.9561 123.376 28.1934L123.957 31.4734C124.006 31.7514 123.891 32.0327 123.663 32.1934C123.439 32.3601 123.142 32.3801 122.899 32.2467L120.006 30.7067C119.905 30.6521 119.794 30.6227 119.679 30.6194H119.502C119.441 30.6287 119.381 30.6487 119.326 30.6794L116.433 32.2267C116.29 32.3001 116.128 32.3261 115.969 32.3001C115.582 32.2254 115.324 31.8494 115.388 31.4527L115.969 28.1727C116.007 27.9334 115.93 27.6901 115.761 27.5201L113.402 25.1867C113.205 24.9914 113.136 24.6981 113.226 24.4334C113.314 24.1694 113.537 23.9767 113.807 23.9334L117.053 23.4527C117.3 23.4267 117.517 23.2734 117.628 23.0467L119.058 20.0534C119.092 19.9867 119.136 19.9254 119.189 19.8734L119.248 19.8267C119.278 19.7921 119.314 19.7634 119.353 19.7401L119.424 19.7134L119.535 19.6667H119.81C120.056 19.6927 120.272 19.8427 120.385 20.0667L121.834 23.0467C121.939 23.2647 122.142 23.4161 122.376 23.4527L125.622 23.9334C125.897 23.9734 126.126 24.1667 126.217 24.4334C126.302 24.7007 126.228 24.9941 126.027 25.1867L123.584 27.5467Z"
                    fill="#F8E47C"
                    fillOpacity="0.86"
                  />
                  <path
                    d="M141.06 27.5467C140.865 27.7141 140.775 27.9561 140.82 28.1934L141.49 31.4734C141.546 31.7514 141.414 32.0327 141.151 32.1934C140.893 32.3601 140.55 32.3801 140.269 32.2467L136.931 30.7067C136.815 30.6521 136.686 30.6227 136.554 30.6194H136.35C136.279 30.6287 136.21 30.6487 136.147 30.6794L132.808 32.2267C132.643 32.3001 132.456 32.3261 132.273 32.3001C131.827 32.2254 131.529 31.8494 131.602 31.4527L132.273 28.1727C132.318 27.9334 132.228 27.6901 132.033 27.5201L129.311 25.1867C129.084 24.9914 129.005 24.6981 129.109 24.4334C129.21 24.1694 129.467 23.9767 129.779 23.9334L133.524 23.4527C133.809 23.4267 134.059 23.2734 134.187 23.0467L135.838 20.0534C135.877 19.9867 135.927 19.9254 135.988 19.8734L136.056 19.8267C136.092 19.7921 136.132 19.7634 136.178 19.7401L136.26 19.7134L136.388 19.6667H136.705C136.989 19.6927 137.238 19.8427 137.368 20.0667L139.041 23.0467C139.161 23.2647 139.396 23.4161 139.666 23.4527L143.412 23.9334C143.728 23.9734 143.993 24.1667 144.097 24.4334C144.196 24.7007 144.111 24.9941 143.879 25.1867L141.06 27.5467Z"
                    fill="#F8E47C"
                    fillOpacity="0.86"
                  />
                  <path
                    d="M157.347 27.5467C157.178 27.7141 157.1 27.9561 157.138 28.1934L157.719 31.4734C157.768 31.7514 157.653 32.0327 157.425 32.1934C157.202 32.3601 156.905 32.3801 156.661 32.2467L153.768 30.7067C153.668 30.6521 153.556 30.6227 153.442 30.6194H153.265C153.203 30.6287 153.143 30.6487 153.088 30.6794L150.195 32.2267C150.052 32.3001 149.89 32.3261 149.731 32.3001C149.345 32.2254 149.087 31.8494 149.15 31.4527L149.731 28.1727C149.77 27.9334 149.692 27.6901 149.523 27.5201L147.164 25.1867C146.967 24.9914 146.899 24.6981 146.989 24.4334C147.076 24.1694 147.3 23.9767 147.569 23.9334L150.815 23.4527C151.062 23.4267 151.279 23.2734 151.39 23.0467L152.821 20.0534C152.855 19.9867 152.898 19.9254 152.951 19.8734L153.01 19.8267C153.041 19.7921 153.076 19.7634 153.115 19.7401L153.186 19.7134L153.297 19.6667H153.572C153.818 19.6927 154.034 19.8427 154.147 20.0667L155.596 23.0467C155.701 23.2647 155.904 23.4161 156.139 23.4527L159.385 23.9334C159.659 23.9734 159.888 24.1667 159.979 24.4334C160.065 24.7007 159.991 24.9941 159.79 25.1867L157.347 27.5467Z"
                    fill="#F8E47C"
                    fillOpacity="0.86"
                  />
                  <path
                    d="M173.922 27.5467C173.74 27.7141 173.657 27.9561 173.698 28.1934L174.323 31.4734C174.376 31.7514 174.252 32.0327 174.007 32.1934C173.766 32.3601 173.446 32.3801 173.184 32.2467L170.069 30.7067C169.96 30.6521 169.84 30.6227 169.717 30.6194H169.526C169.46 30.6287 169.395 30.6487 169.336 30.6794L166.22 32.2267C166.066 32.3001 165.892 32.3261 165.721 32.3001C165.305 32.2254 165.027 31.8494 165.095 31.4527L165.721 28.1727C165.762 27.9334 165.679 27.6901 165.497 27.5201L162.957 25.1867C162.744 24.9914 162.67 24.6981 162.767 24.4334C162.862 24.1694 163.102 23.9767 163.393 23.9334L166.889 23.4527C167.154 23.4267 167.388 23.2734 167.508 23.0467L169.048 20.0534C169.085 19.9867 169.132 19.9254 169.189 19.8734L169.252 19.8267C169.285 19.7921 169.323 19.7634 169.365 19.7401L169.442 19.7134L169.561 19.6667H169.858C170.122 19.6927 170.355 19.8427 170.477 20.0667L172.037 23.0467C172.15 23.2647 172.369 23.4161 172.621 23.4527L176.117 23.9334C176.412 23.9734 176.659 24.1667 176.757 24.4334C176.849 24.7007 176.77 24.9941 176.553 25.1867L173.922 27.5467Z"
                    fill="#F8E47C"
                    fillOpacity="0.86"
                  />
                  <path
                    d="M3.58008 15V13.6465L4.97754 13.3828V3.8291L3.58008 3.56543V2.20312H8.58105V3.56543L7.19238 3.8291V13.3828L8.58105 13.6465V15H3.58008ZM9.80273 15V13.6465L11.1914 13.3828V3.8291L9.80273 3.56543V2.20312H14.3643L18.1172 11.458H18.1699L21.8086 2.20312H26.4229V3.56543L25.0254 3.8291V13.3828L26.4229 13.6465V15H21.4219V13.6465L22.8896 13.3828V10.4033L22.9072 4.80469L22.8633 4.7959L18.8994 14.71H17.291L13.2129 4.84863L13.1689 4.85742L13.2832 10.2539V13.3828L14.8037 13.6465V15H9.80273ZM27.6094 15V13.6465L29.0068 13.3828V3.8291L27.6094 3.56543V2.20312H33.6123C34.5615 2.20312 35.376 2.37012 36.0557 2.7041C36.7412 3.03809 37.2656 3.50391 37.6289 4.10156C37.998 4.69922 38.1826 5.39355 38.1826 6.18457C38.1826 7.37988 37.7754 8.34082 36.9609 9.06738C36.1523 9.78809 35.0361 10.1484 33.6123 10.1484H31.2217V13.3828L32.6191 13.6465V15H27.6094ZM31.2217 8.43457H33.6123C34.3916 8.43457 34.9775 8.22363 35.3701 7.80176C35.7686 7.37988 35.9678 6.84668 35.9678 6.20215C35.9678 5.5459 35.7686 5.00098 35.3701 4.56738C34.9775 4.13379 34.3916 3.91699 33.6123 3.91699H31.2217V8.43457ZM39.1582 15V13.6465L40.5557 13.3828V3.8291L39.1582 3.56543V2.20312H44.2734V3.56543L42.7705 3.8291V13.3037H46.7695L46.9189 11.3613H48.6152V15H39.1582ZM49.6963 15V13.6465L50.6279 13.5146L54.8643 2.20312H57.0176L61.2012 13.5146L62.1328 13.6465V15H58.0635V13.6465L58.9775 13.4795L58.3008 11.4668H53.5371L52.8428 13.4795L53.7656 13.6465V15H49.6963ZM54.1172 9.76172H57.7295L56.0684 5.0332L55.9541 4.69043H55.9014L55.7783 5.05078L54.1172 9.76172ZM63.1963 15V13.6465L64.5938 13.3828V3.8291L63.1963 3.56543V2.20312H66.835L72.7061 11.5371L72.7588 11.5283V3.8291L71.1416 3.56543V2.20312H76.1514V3.56543L74.7539 3.8291V15H72.6533L66.6416 5.69238L66.5889 5.70117V13.3828L68.2061 13.6465V15H63.1963ZM80.291 15V13.6465L81.6885 13.3828V3.89941H79.1133L78.9287 5.53418H77.2588V2.20312H88.3418V5.53418H86.6719L86.4785 3.89941H83.9033V13.3828L85.3008 13.6465V15H80.291Z"
                    fill="white"
                  />
                  <path
                    d="M93.9668 15V13.6465L95.3643 13.3828V3.8291L93.9668 3.56543V2.20312H99.8818C101.323 2.20312 102.442 2.53125 103.239 3.1875C104.036 3.83789 104.435 4.74609 104.435 5.91211C104.435 6.71484 104.229 7.40918 103.819 7.99512C103.415 8.5752 102.858 9.00586 102.149 9.28711L103.995 13.418L104.997 13.6289V15H102.29L100.075 9.64746L97.5791 9.67383V13.3828L98.9766 13.6465V15H93.9668ZM97.5791 7.95117H99.7852C100.617 7.95117 101.232 7.78418 101.631 7.4502C102.029 7.11035 102.229 6.61816 102.229 5.97363C102.229 5.34668 102.032 4.84863 101.64 4.47949C101.253 4.10449 100.667 3.91699 99.8818 3.91699H97.5791V7.95117ZM106.254 15V13.6465L107.651 13.3828V3.8291L106.254 3.56543V2.20312H116.001V5.49902H114.278L114.129 3.9082H109.866V7.5293H114.357V9.24316H109.866V13.3125H114.366L114.516 11.6865H116.221V15H106.254ZM122.865 15L118.673 3.70605L117.583 3.56543V2.20312H122.232V3.56543L121.072 3.75L123.735 11.5459L123.973 12.3809H124.025L124.271 11.5547L126.97 3.74121L125.643 3.56543V2.20312H130.151V3.56543L129.044 3.70605L125.01 15H122.865ZM131.145 15V13.6465L132.542 13.3828V3.8291L131.145 3.56543V2.20312H136.146V3.56543L134.757 3.8291V13.3828L136.146 13.6465V15H131.145ZM137.314 15V13.6465L138.712 13.3828V3.8291L137.314 3.56543V2.20312H147.062V5.49902H145.339L145.189 3.9082H140.927V7.5293H145.418V9.24316H140.927V13.3125H145.427L145.576 11.6865H147.281V15H137.314ZM152.862 15L149.883 3.69727L148.67 3.56543V2.20312H153.398V3.56543L152.036 3.76758L153.609 10.3418L153.935 11.6865L153.987 11.6953L154.392 10.3418L156.94 2.20312H158.672L161.291 10.4736L161.678 11.7832H161.73L162.082 10.4736L163.673 3.76758L162.231 3.56543V2.20312H166.872V3.56543L165.738 3.69727L162.794 15H160.755L158.18 6.94043L157.854 5.78027H157.802L157.459 6.95801L154.866 15H152.862ZM172.866 15.1846C171.999 15.1846 171.188 15.0762 170.432 14.8594C169.682 14.6426 168.952 14.2822 168.243 13.7783V10.834H169.957L170.238 12.7324C170.543 12.9609 170.924 13.1426 171.381 13.2773C171.844 13.4121 172.339 13.4795 172.866 13.4795C173.64 13.4795 174.234 13.3154 174.65 12.9873C175.066 12.6592 175.274 12.2197 175.274 11.6689C175.274 11.1592 175.081 10.7344 174.694 10.3945C174.313 10.0488 173.637 9.74414 172.664 9.48047C171.229 9.09375 170.147 8.5957 169.421 7.98633C168.694 7.37695 168.331 6.56836 168.331 5.56055C168.331 4.875 168.516 4.26855 168.885 3.74121C169.26 3.21387 169.778 2.79785 170.44 2.49316C171.103 2.18848 171.867 2.0332 172.734 2.02734C173.684 2.01563 174.521 2.13867 175.248 2.39648C175.98 2.6543 176.599 2.99121 177.103 3.40723V6.1582H175.424L175.107 4.36523C174.867 4.19531 174.554 4.05176 174.167 3.93457C173.786 3.81152 173.335 3.75 172.813 3.75C172.146 3.75 171.601 3.91113 171.179 4.2334C170.757 4.5498 170.546 4.98633 170.546 5.54297C170.546 6.02344 170.742 6.41895 171.135 6.72949C171.533 7.04004 172.245 7.3418 173.271 7.63477C174.653 8.00391 175.702 8.51367 176.417 9.16406C177.138 9.80859 177.498 10.6377 177.498 11.6514C177.498 12.3662 177.305 12.9873 176.918 13.5146C176.537 14.042 175.998 14.4521 175.301 14.7451C174.609 15.0381 173.798 15.1846 172.866 15.1846Z"
                    fill="black"
                  />
                </svg>
              </a>
            </div>
            <div className="col-6">
              <form className="search">
                <div className="input-group w-100">
                  <input
                    value={search}
                    onChange={(e) => setSearch(e.target.value)}
                    type="text"
                    className="form-control"
                    style={{ width: "55%" }}
                    placeholder="Search"
                  />
                  {/* <select className="custom-select" name="category_name">
                    <option value="">All type</option>
                    <option value="codex">Special</option>
                    <option value="comments">Only best</option>
                    <option value="content">Latest</option>
                  </select> */}
                  <div className="input-group-append">
                    <button
                      className="btn btn-outline-primary"
                      onClick={handleSearch}
                      type="submit"
                    >
                      <FaSearch />
                    </button>
                  </div>
                </div>
              </form>
            </div>
            <div className="col-3">
              {isAuthenticated ? (
                <div className="row justify-content-end">
                  <button
                    onClick={handleSignOut}
                    type="button"
                    className="btn btn-secondary mr-3"
                  >
                    Sign out
                  </button>
                </div>
              ) : (
                <div className="row justify-content-end">
                  <button
                    onClick={() => {
                      setModal(true);
                      setTab(1);
                    }}
                    type="button"
                    className="btn btn-outline-primary mr-2"
                  >
                    Sign in
                  </button>
                  <button
                    onClick={() => {
                      setModal(true);
                      setTab(2);
                    }}
                    type="button"
                    className="btn btn-primary"
                  >
                    Sign up
                  </button>
                </div>
              )}
            </div>
          </div>
        </div>
      </section>
      <nav className="navbar navbar-main navbar-expand-md border-bottom">
        <div className="d-flex align-items-center w-100 ">
          <button
            style={{ marginRight: "auto" }}
            onClick={() => setIsMenuOpen(true)}
            className="navbar-toggler"
            type="button"
            data-toggle="collapse"
            data-target="#main_nav5"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <span className="navbar-toggler-icon"></span>
          </button>
          <a href="/">
            <svg
              className="d-sm-block d-md-none navbar-brand"
              style={{ cursor: "pointer" }}
              width="100%"
              height="42"
              viewBox="0 0 179 34"
              fill="none"
              xmlns="http://www.w3.org/2000/svg"
            >
              <rect
                style={{ fill: "var(--primary)" }}
                x="0.5"
                y="0.5"
                width="91"
                height="17"
                fill="blue"
                className="logo--box"
              />
              <path
                d="M107.604 27.5467C107.421 27.7141 107.338 27.9561 107.379 28.1934L108.005 31.4734C108.057 31.7514 107.933 32.0327 107.688 32.1934C107.447 32.3601 107.127 32.3801 106.865 32.2467L103.75 30.7067C103.641 30.6521 103.521 30.6227 103.398 30.6194H103.207C103.141 30.6287 103.077 30.6487 103.018 30.6794L99.9015 32.2267C99.7475 32.3001 99.5731 32.3261 99.4021 32.3001C98.9857 32.2254 98.7079 31.8494 98.7761 31.4527L99.4021 28.1727C99.4436 27.9334 99.3599 27.6901 99.1778 27.5201L96.6379 25.1867C96.4254 24.9914 96.3516 24.6981 96.4486 24.4334C96.5429 24.1694 96.7835 23.9767 97.074 23.9334L100.57 23.4527C100.836 23.4267 101.069 23.2734 101.189 23.0467L102.729 20.0534C102.766 19.9867 102.813 19.9254 102.87 19.8734L102.933 19.8267C102.966 19.7921 103.004 19.7634 103.046 19.7401L103.123 19.7134L103.243 19.6667H103.539C103.803 19.6927 104.036 19.8427 104.158 20.0667L105.719 23.0467C105.831 23.2647 106.05 23.4161 106.302 23.4527L109.798 23.9334C110.094 23.9734 110.34 24.1667 110.438 24.4334C110.53 24.7007 110.451 24.9941 110.234 25.1867L107.604 27.5467Z"
                fill="#F8E47C"
                fillOpacity="0.86"
              />
              <path
                d="M123.584 27.5467C123.415 27.7141 123.338 27.9561 123.376 28.1934L123.957 31.4734C124.006 31.7514 123.891 32.0327 123.663 32.1934C123.439 32.3601 123.142 32.3801 122.899 32.2467L120.006 30.7067C119.905 30.6521 119.794 30.6227 119.679 30.6194H119.502C119.441 30.6287 119.381 30.6487 119.326 30.6794L116.433 32.2267C116.29 32.3001 116.128 32.3261 115.969 32.3001C115.582 32.2254 115.324 31.8494 115.388 31.4527L115.969 28.1727C116.007 27.9334 115.93 27.6901 115.761 27.5201L113.402 25.1867C113.205 24.9914 113.136 24.6981 113.226 24.4334C113.314 24.1694 113.537 23.9767 113.807 23.9334L117.053 23.4527C117.3 23.4267 117.517 23.2734 117.628 23.0467L119.058 20.0534C119.092 19.9867 119.136 19.9254 119.189 19.8734L119.248 19.8267C119.278 19.7921 119.314 19.7634 119.353 19.7401L119.424 19.7134L119.535 19.6667H119.81C120.056 19.6927 120.272 19.8427 120.385 20.0667L121.834 23.0467C121.939 23.2647 122.142 23.4161 122.376 23.4527L125.622 23.9334C125.897 23.9734 126.126 24.1667 126.217 24.4334C126.302 24.7007 126.228 24.9941 126.027 25.1867L123.584 27.5467Z"
                fill="#F8E47C"
                fillOpacity="0.86"
              />
              <path
                d="M141.06 27.5467C140.865 27.7141 140.775 27.9561 140.82 28.1934L141.49 31.4734C141.546 31.7514 141.414 32.0327 141.151 32.1934C140.893 32.3601 140.55 32.3801 140.269 32.2467L136.931 30.7067C136.815 30.6521 136.686 30.6227 136.554 30.6194H136.35C136.279 30.6287 136.21 30.6487 136.147 30.6794L132.808 32.2267C132.643 32.3001 132.456 32.3261 132.273 32.3001C131.827 32.2254 131.529 31.8494 131.602 31.4527L132.273 28.1727C132.318 27.9334 132.228 27.6901 132.033 27.5201L129.311 25.1867C129.084 24.9914 129.005 24.6981 129.109 24.4334C129.21 24.1694 129.467 23.9767 129.779 23.9334L133.524 23.4527C133.809 23.4267 134.059 23.2734 134.187 23.0467L135.838 20.0534C135.877 19.9867 135.927 19.9254 135.988 19.8734L136.056 19.8267C136.092 19.7921 136.132 19.7634 136.178 19.7401L136.26 19.7134L136.388 19.6667H136.705C136.989 19.6927 137.238 19.8427 137.368 20.0667L139.041 23.0467C139.161 23.2647 139.396 23.4161 139.666 23.4527L143.412 23.9334C143.728 23.9734 143.993 24.1667 144.097 24.4334C144.196 24.7007 144.111 24.9941 143.879 25.1867L141.06 27.5467Z"
                fill="#F8E47C"
                fillOpacity="0.86"
              />
              <path
                d="M157.347 27.5467C157.178 27.7141 157.1 27.9561 157.138 28.1934L157.719 31.4734C157.768 31.7514 157.653 32.0327 157.425 32.1934C157.202 32.3601 156.905 32.3801 156.661 32.2467L153.768 30.7067C153.668 30.6521 153.556 30.6227 153.442 30.6194H153.265C153.203 30.6287 153.143 30.6487 153.088 30.6794L150.195 32.2267C150.052 32.3001 149.89 32.3261 149.731 32.3001C149.345 32.2254 149.087 31.8494 149.15 31.4527L149.731 28.1727C149.77 27.9334 149.692 27.6901 149.523 27.5201L147.164 25.1867C146.967 24.9914 146.899 24.6981 146.989 24.4334C147.076 24.1694 147.3 23.9767 147.569 23.9334L150.815 23.4527C151.062 23.4267 151.279 23.2734 151.39 23.0467L152.821 20.0534C152.855 19.9867 152.898 19.9254 152.951 19.8734L153.01 19.8267C153.041 19.7921 153.076 19.7634 153.115 19.7401L153.186 19.7134L153.297 19.6667H153.572C153.818 19.6927 154.034 19.8427 154.147 20.0667L155.596 23.0467C155.701 23.2647 155.904 23.4161 156.139 23.4527L159.385 23.9334C159.659 23.9734 159.888 24.1667 159.979 24.4334C160.065 24.7007 159.991 24.9941 159.79 25.1867L157.347 27.5467Z"
                fill="#F8E47C"
                fillOpacity="0.86"
              />
              <path
                d="M173.922 27.5467C173.74 27.7141 173.657 27.9561 173.698 28.1934L174.323 31.4734C174.376 31.7514 174.252 32.0327 174.007 32.1934C173.766 32.3601 173.446 32.3801 173.184 32.2467L170.069 30.7067C169.96 30.6521 169.84 30.6227 169.717 30.6194H169.526C169.46 30.6287 169.395 30.6487 169.336 30.6794L166.22 32.2267C166.066 32.3001 165.892 32.3261 165.721 32.3001C165.305 32.2254 165.027 31.8494 165.095 31.4527L165.721 28.1727C165.762 27.9334 165.679 27.6901 165.497 27.5201L162.957 25.1867C162.744 24.9914 162.67 24.6981 162.767 24.4334C162.862 24.1694 163.102 23.9767 163.393 23.9334L166.889 23.4527C167.154 23.4267 167.388 23.2734 167.508 23.0467L169.048 20.0534C169.085 19.9867 169.132 19.9254 169.189 19.8734L169.252 19.8267C169.285 19.7921 169.323 19.7634 169.365 19.7401L169.442 19.7134L169.561 19.6667H169.858C170.122 19.6927 170.355 19.8427 170.477 20.0667L172.037 23.0467C172.15 23.2647 172.369 23.4161 172.621 23.4527L176.117 23.9334C176.412 23.9734 176.659 24.1667 176.757 24.4334C176.849 24.7007 176.77 24.9941 176.553 25.1867L173.922 27.5467Z"
                fill="#F8E47C"
                fillOpacity="0.86"
              />
              <path
                d="M3.58008 15V13.6465L4.97754 13.3828V3.8291L3.58008 3.56543V2.20312H8.58105V3.56543L7.19238 3.8291V13.3828L8.58105 13.6465V15H3.58008ZM9.80273 15V13.6465L11.1914 13.3828V3.8291L9.80273 3.56543V2.20312H14.3643L18.1172 11.458H18.1699L21.8086 2.20312H26.4229V3.56543L25.0254 3.8291V13.3828L26.4229 13.6465V15H21.4219V13.6465L22.8896 13.3828V10.4033L22.9072 4.80469L22.8633 4.7959L18.8994 14.71H17.291L13.2129 4.84863L13.1689 4.85742L13.2832 10.2539V13.3828L14.8037 13.6465V15H9.80273ZM27.6094 15V13.6465L29.0068 13.3828V3.8291L27.6094 3.56543V2.20312H33.6123C34.5615 2.20312 35.376 2.37012 36.0557 2.7041C36.7412 3.03809 37.2656 3.50391 37.6289 4.10156C37.998 4.69922 38.1826 5.39355 38.1826 6.18457C38.1826 7.37988 37.7754 8.34082 36.9609 9.06738C36.1523 9.78809 35.0361 10.1484 33.6123 10.1484H31.2217V13.3828L32.6191 13.6465V15H27.6094ZM31.2217 8.43457H33.6123C34.3916 8.43457 34.9775 8.22363 35.3701 7.80176C35.7686 7.37988 35.9678 6.84668 35.9678 6.20215C35.9678 5.5459 35.7686 5.00098 35.3701 4.56738C34.9775 4.13379 34.3916 3.91699 33.6123 3.91699H31.2217V8.43457ZM39.1582 15V13.6465L40.5557 13.3828V3.8291L39.1582 3.56543V2.20312H44.2734V3.56543L42.7705 3.8291V13.3037H46.7695L46.9189 11.3613H48.6152V15H39.1582ZM49.6963 15V13.6465L50.6279 13.5146L54.8643 2.20312H57.0176L61.2012 13.5146L62.1328 13.6465V15H58.0635V13.6465L58.9775 13.4795L58.3008 11.4668H53.5371L52.8428 13.4795L53.7656 13.6465V15H49.6963ZM54.1172 9.76172H57.7295L56.0684 5.0332L55.9541 4.69043H55.9014L55.7783 5.05078L54.1172 9.76172ZM63.1963 15V13.6465L64.5938 13.3828V3.8291L63.1963 3.56543V2.20312H66.835L72.7061 11.5371L72.7588 11.5283V3.8291L71.1416 3.56543V2.20312H76.1514V3.56543L74.7539 3.8291V15H72.6533L66.6416 5.69238L66.5889 5.70117V13.3828L68.2061 13.6465V15H63.1963ZM80.291 15V13.6465L81.6885 13.3828V3.89941H79.1133L78.9287 5.53418H77.2588V2.20312H88.3418V5.53418H86.6719L86.4785 3.89941H83.9033V13.3828L85.3008 13.6465V15H80.291Z"
                fill="white"
              />
              <path
                d="M93.9668 15V13.6465L95.3643 13.3828V3.8291L93.9668 3.56543V2.20312H99.8818C101.323 2.20312 102.442 2.53125 103.239 3.1875C104.036 3.83789 104.435 4.74609 104.435 5.91211C104.435 6.71484 104.229 7.40918 103.819 7.99512C103.415 8.5752 102.858 9.00586 102.149 9.28711L103.995 13.418L104.997 13.6289V15H102.29L100.075 9.64746L97.5791 9.67383V13.3828L98.9766 13.6465V15H93.9668ZM97.5791 7.95117H99.7852C100.617 7.95117 101.232 7.78418 101.631 7.4502C102.029 7.11035 102.229 6.61816 102.229 5.97363C102.229 5.34668 102.032 4.84863 101.64 4.47949C101.253 4.10449 100.667 3.91699 99.8818 3.91699H97.5791V7.95117ZM106.254 15V13.6465L107.651 13.3828V3.8291L106.254 3.56543V2.20312H116.001V5.49902H114.278L114.129 3.9082H109.866V7.5293H114.357V9.24316H109.866V13.3125H114.366L114.516 11.6865H116.221V15H106.254ZM122.865 15L118.673 3.70605L117.583 3.56543V2.20312H122.232V3.56543L121.072 3.75L123.735 11.5459L123.973 12.3809H124.025L124.271 11.5547L126.97 3.74121L125.643 3.56543V2.20312H130.151V3.56543L129.044 3.70605L125.01 15H122.865ZM131.145 15V13.6465L132.542 13.3828V3.8291L131.145 3.56543V2.20312H136.146V3.56543L134.757 3.8291V13.3828L136.146 13.6465V15H131.145ZM137.314 15V13.6465L138.712 13.3828V3.8291L137.314 3.56543V2.20312H147.062V5.49902H145.339L145.189 3.9082H140.927V7.5293H145.418V9.24316H140.927V13.3125H145.427L145.576 11.6865H147.281V15H137.314ZM152.862 15L149.883 3.69727L148.67 3.56543V2.20312H153.398V3.56543L152.036 3.76758L153.609 10.3418L153.935 11.6865L153.987 11.6953L154.392 10.3418L156.94 2.20312H158.672L161.291 10.4736L161.678 11.7832H161.73L162.082 10.4736L163.673 3.76758L162.231 3.56543V2.20312H166.872V3.56543L165.738 3.69727L162.794 15H160.755L158.18 6.94043L157.854 5.78027H157.802L157.459 6.95801L154.866 15H152.862ZM172.866 15.1846C171.999 15.1846 171.188 15.0762 170.432 14.8594C169.682 14.6426 168.952 14.2822 168.243 13.7783V10.834H169.957L170.238 12.7324C170.543 12.9609 170.924 13.1426 171.381 13.2773C171.844 13.4121 172.339 13.4795 172.866 13.4795C173.64 13.4795 174.234 13.3154 174.65 12.9873C175.066 12.6592 175.274 12.2197 175.274 11.6689C175.274 11.1592 175.081 10.7344 174.694 10.3945C174.313 10.0488 173.637 9.74414 172.664 9.48047C171.229 9.09375 170.147 8.5957 169.421 7.98633C168.694 7.37695 168.331 6.56836 168.331 5.56055C168.331 4.875 168.516 4.26855 168.885 3.74121C169.26 3.21387 169.778 2.79785 170.44 2.49316C171.103 2.18848 171.867 2.0332 172.734 2.02734C173.684 2.01563 174.521 2.13867 175.248 2.39648C175.98 2.6543 176.599 2.99121 177.103 3.40723V6.1582H175.424L175.107 4.36523C174.867 4.19531 174.554 4.05176 174.167 3.93457C173.786 3.81152 173.335 3.75 172.813 3.75C172.146 3.75 171.601 3.91113 171.179 4.2334C170.757 4.5498 170.546 4.98633 170.546 5.54297C170.546 6.02344 170.742 6.41895 171.135 6.72949C171.533 7.04004 172.245 7.3418 173.271 7.63477C174.653 8.00391 175.702 8.51367 176.417 9.16406C177.138 9.80859 177.498 10.6377 177.498 11.6514C177.498 12.3662 177.305 12.9873 176.918 13.5146C176.537 14.042 175.998 14.4521 175.301 14.7451C174.609 15.0381 173.798 15.1846 172.866 15.1846Z"
                fill="black"
              />
            </svg>
          </a>
          <div style={{ marginLeft: "auto" }} />
          <div className="collapse navbar-collapse " id="main_nav5">
            <ul className="navbar-nav container">
              <li className="nav-item">
                <a className="nav-link pl-0" href="#">
                  {" "}
                  <strong>All category</strong>
                </a>
              </li>
              <li className="nav-item">
                <a className="nav-link" href="#">
                  Orthopaedics
                </a>
              </li>
            </ul>
          </div>
        </div>
        <form className=" d-sm-block d-md-none w-100">
          <div className="d-flex mt-2 w-100 justify-content-center align-items-center d-sm-block d-md-none">
            <input
              value={search}
              onChange={(e) => setSearch(e.target.value)}
              placeholder="Search"
              className="form-control form-control-sm"
            />
            <button
              onClick={handleSearch}
              type="submit"
              className="btn btn-link btn-sm"
            >
              <FaSearch style={{ fontSize: "20px", marginTop: "4px" }} />
            </button>
          </div>
        </form>
      </nav>
      {isMenuOpen ? (
        <div
          style={{
            zIndex: 2000,
            backgroundColor: "white",
            position: "fixed",
            top: 0,
            right: 0,
            left: 0,
          }}
          className="w-100 h-100 p-5"
        >
          <div
            style={{ justifyContent: "space-evenly", alignItems: "center" }}
            className="d-flex flex-column w-100 h-100"
          >
            <CgClose
              style={{ fontSize: "40px", marginBottom: "10px" }}
              onClick={() => setIsMenuOpen(false)}
            />
            <a href="/">
              <h2 onClick={() => setIsMenuOpen(false)}>Home</h2>
            </a>
            <a href="/products">
              <h2 onClick={() => setIsMenuOpen(false)}>Products</h2>
            </a>
            {!isAuthenticated ? (
              <>
                <h2
                  onClick={() => {
                    setModal(true);
                    setTab(1);
                    setIsMenuOpen(false);
                  }}
                >
                  Signin
                </h2>

                <h2
                  onClick={() => {
                    setModal(true);
                    setTab(2);
                    setIsMenuOpen(false);
                  }}
                >
                  Signup
                </h2>
              </>
            ) : (
              <h2 onClick={handleSignOut}>Signout</h2>
            )}
          </div>
        </div>
      ) : (
        <></>
      )}
    </header>
  );
}
header.getInitialProps = () => {
  // console.log(isAuthenticated);
};
export default header;
